%define upstream_name    XML-LibXML
%define upstream_version 1.95

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl Binding for libxml2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.560.0
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::NamespaceSupport) >= 1.70.0
BuildRequires: perl(XML::SAX) >= 0.110.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: libxml2-devel >= 2.4.20
BuildRequires: perl-devel
Obsoletes:  perl-XML-LibXML-XPathContext
Obsoletes:  perl-XML-LibXML-Common
Requires(post):     perl-XML-SAX >= 0.11
Requires(preun):    perl-XML-SAX >= 0.11

%description
This module implements much of the DOM Level 2 API as an 
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%optflags" SKIP_SAX_INSTALL=1
%make

%check
LC_ALL=C %{__make} test

%install
%makeinstall_std

%preun -p %{__perl}
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{__perl}
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO example
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*


%changelog

* Tue Mar 06 2012 shlomif <shlomif> 1.950.0-1.mga2
+ Revision: 219918
- Upgraded to 1.95 (which has some XML::LibXML::Element overloading-related bug fixes.

* Thu Feb 23 2012 jquelin <jquelin> 1.920.0-1.mga2
+ Revision: 213311
- update to 1.92

* Mon Jan 09 2012 jquelin <jquelin> 1.900.0-1.mga2
+ Revision: 193821
- update to 1.90

* Thu Jan 05 2012 jquelin <jquelin> 1.890.0-1.mga2
+ Revision: 191340
- update to 1.89

* Mon Sep 26 2011 jquelin <jquelin> 1.880.0-1.mga2
+ Revision: 148259
- update to 1.88
- update to 1.87
- update to 1.86
- update to 1.84

* Wed Jul 13 2011 jquelin <jquelin> 1.790.0-1.mga2
+ Revision: 123644
- update to 1.79

* Fri Jul 08 2011 jquelin <jquelin> 1.780.0-1.mga2
+ Revision: 120530
- update to 1.78

* Mon Jun 27 2011 jquelin <jquelin> 1.750.0-1.mga2
+ Revision: 114558
- update to 1.75

* Tue Jun 21 2011 jquelin <jquelin> 1.730.0-1.mga2
+ Revision: 111465
- update to 1.73

* Fri Jun 17 2011 jquelin <jquelin> 1.720.0-1.mga2
+ Revision: 109167
- update to 1.72

* Sun Jun 12 2011 ahmad <ahmad> 1.700.0-9.mga2
+ Revision: 104559
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 1.700.0-8.mga1
+ Revision: 23274
- rebuild for new perl

* Mon Jan 10 2011 jquelin <jquelin> 1.700.0-7.mga1
+ Revision: 4864
- imported package perl-XML-LibXML

